Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QImageIOPlugin.Capability

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QImageIOPlugin.Capability

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QImageIOPlugin

    public static final class QImageIOPlugin.Capability

extends java.lang.Enum
implements QtEnumerator

This enum describes the capabilities of a `QImageIOPlugin`.

See Also:
  Serialized Form

Field Summary
`static QImageIOPlugin.Capability` | `CanRead` The plugin can read images.
`static QImageIOPlugin.Capability` | `CanReadIncremental` The plugin can read images incrementally.
`static QImageIOPlugin.Capability` | `CanWrite` The plugin can write images.

Method Summary
`static QImageIOPlugin.Capabilities` | `createQFlags(QImageIOPlugin.Capability[] values)` This function creates a com.trolltech.qt.gui.QImageIOPlugin$Capabilities with the specified `com.trolltech.qt.gui.QImageIOPlugin$Capability[]` QImageIOPlugin$Capability values set.
`static QImageIOPlugin.Capability` | `resolve(int value)` Returns the QImageIOPlugin$Capability constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QImageIOPlugin.Capability` | `valueOf(java.lang.String name)`
`static QImageIOPlugin.Capability[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CanRead

    public static final QImageIOPlugin.Capability CanRead

  The plugin can read images.

### CanWrite

    public static final QImageIOPlugin.Capability CanWrite

  The plugin can write images.

### CanReadIncremental

    public static final QImageIOPlugin.Capability CanReadIncremental

  The plugin can read images incrementally.

Method Detail

### values

    public static QImageIOPlugin.Capability[] values()

### valueOf

    public static QImageIOPlugin.Capability valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QImageIOPlugin.Capabilities createQFlags(QImageIOPlugin.Capability[] values)

  This function creates a com.trolltech.qt.gui.QImageIOPlugin$Capabilities with the specified `com.trolltech.qt.gui.QImageIOPlugin$Capability[]` QImageIOPlugin$Capability values set.

### resolve

    public static QImageIOPlugin.Capability resolve(int value)

  Returns the QImageIOPlugin$Capability constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD